This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 1198

Summary: levenberg_marquardt test fails (unexpected info code)
Product: Eigen Reporter: Benoit Jacob <jacob.benoit.1>
Component: Unsupported modulesAssignee: Nobody <eigen.nobody>
Status: RESOLVED DUPLICATE    
Severity: Unknown CC: chtz, gael.guennebaud
Priority: Normal    
Version: 3.3 (current stable)   
Hardware: All   
OS: All   
Whiteboard:
Bug Depends on:    
Bug Blocks: 558    

Description Benoit Jacob 2016-04-08 12:50:09 UTC
levenberg_marquardt fails for me (Ubuntu 14.04, x86-64, gcc 4.8):

Initializing random number generator with seed 1460119722
Repeating each test 10 times

    actual   = 1
    expected = 2

Test testNistMGH10() failed in /usr/local/google/home/benoitjacob/eigen/unsupported/test/levenberg_marquardt.cpp (792)
    test_is_equal(info, LevenbergMarquardtSpace::RelativeErrorTooSmall)
Stack:
  - testNistMGH10()
  - levenberg_marquardt
  - Seed: 1460119722

Aborted (core dumped)
Comment 1 Gael Guennebaud 2016-04-09 08:29:28 UTC

*** This bug has been marked as a duplicate of bug 1160 ***
Comment 2 Nobody 2019-12-04 15:39:18 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1198.